
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import TemplateView


from . import views

app_name = "oef"

urlpatterns = [
    path(
        "entries", views.EntryTableView.as_view(), name="entry_table_view"
    ),
    path(
        "formats", views.formats_view, name="formats_view"
    ),
    path(
        "formats/dupes", views.formats_dupe_view, name="formats_dupe_view"
    ),
    path(
        "formats/create", views.FormatsCreateView.as_view(), name="format_create"
    ),
    path(
        "formats/search", views.format_search, name="format_search"
    ),
    path(
        "entries/replace_questions", views.replace_questions, name="replace_questions"
    ),
    path(
        "entries/questions", views.questions, name="questions"
    ),
    path(
        "entries/subspecialties", views.subspecialties, name="subspecialties"
    ),
    path(
        "entries/table", views.entries_table, name="entries_table"
    ),
    path(
        "entries/all", views.entries, name="entries"
    ),
    path(
        "entries/questions_diff", views.questions_diff, name="questions_diff"
    ),
    path(
        "entries/questions_sym", views.questions_sym, name="questions_sym"
    ),

    path(
        "entries/entries_by_question", views.entries_by_question, name="entries_by_question"
    ),
    path(
        "entries/entries_by_question/codes", views.entries_by_question_codes, name="entries_by_question_codes"
    ),
    path(
        "entries/<int:pk>/update", views.EntryUpdateView.as_view(), name="entry_update"
    ),
    path(
        "entries/<int:pk>/detail", views.EntryDetailView.as_view(), name="entry_detail"
    ),
    path(
        "entries/<int:pk>/detail/formats", views.entry_detail_formats, name="entry_detail_formats"
    ),
    path(
        "formats/<int:pk>/update", views.FormatsUpdateView.as_view(), name="format_update"
    ),
    path(
        "formats/<int:pk>/apply", views.formats_apply, name="formats_apply"
    ),
    path(
        "formats/<int:pk>/delete", views.formats_delete, name="formats_delete"
    ),
    path(
        "formats/save", views.formats_save, name="formats_save"
    ),
    path("output", views.output, name="output"),

]